This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 40263 - 3-finger tap causes crash
Summary: 3-finger tap causes crash
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-04-10 19:47 UTC by Cody Beyer (MSFT)
Modified: 2016-11-30 15:58 UTC (History)
6 users (show)

See Also:
Tags: iOS ac
Is this bug a regression?: ---
Last known good build:


Attachments

Description Cody Beyer (MSFT) 2016-04-10 19:47:19 UTC
# Description

The following sample app demonstrates an issue where pressing three fingers against the screen will cause a crash

# Sample

https://www.dropbox.com/s/eu58boq3ra0vp8n/ListViewTapBug.rar?dl=0

# Steps to Reproduce

1. Download sample
2. Deploy to iOS
3. Place fingers, at the same time, on the clock, the list view entry, and an empty cell

# Expected Results

A crash should not occur

# Actual Results

A crash does occur

# Versions

Microsoft Visual Studio Community 2015
Version 14.0.24720.00 Update 1
Microsoft .NET Framework
Version 4.6.01055

Installed Version: Community

Visual Basic 2015   00322-20000-00000-AA067
Microsoft Visual Basic 2015

Visual C# 2015   00322-20000-00000-AA067
Microsoft Visual C# 2015

Visual C++ 2015   00322-20000-00000-AA067
Microsoft Visual C++ 2015

Visual F# 2015   00322-20000-00000-AA067
Microsoft Visual F# 2015

Windows Phone SDK 8.0 - ENU   00322-20000-00000-AA067
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   4.2.60128.3
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1 (Beta8)   14.1.11106.0
ASP.NET and Web Tools 2015.1 (Beta8)

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.30624.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.5
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

NuGet Package Manager   3.3.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.50616.0
Microsoft SQL Server Data Tools

TypeScript   1.7.6.0
TypeScript for Microsoft Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.24720.00
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.0.3.214 (0dd817c)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   6.0.3.5 (a94a03b)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   9.6.1.8 (3a25bf1)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 1 adrianknight89 2016-09-25 17:52:37 UTC
See https://github.com/xamarin/Xamarin.Forms/pull/379
Comment 2 Samantha Houts 2016-10-11 21:42:18 UTC
Should be fixed in 2.3.4-pre1. Thank you!
Comment 3 Hines Vaughan III 2016-10-12 01:03:04 UTC
Y'all are awesome. Thanks so much.

Note You need to log in before you can comment on or make changes to this bug.